---
lang: en
title: 'API docs: metadata.metadatainspector.getdesigntypeforproperty'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.metadatainspector.getdesigntypeforproperty.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataInspector](./metadata.metadatainspector.md) &gt; [getDesignTypeForProperty](./metadata.metadatainspector.getdesigntypeforproperty.md)

## MetadataInspector.getDesignTypeForProperty() method

Get TypeScript design time type for a property

<b>Signature:</b>

```typescript
static getDesignTypeForProperty(target: Object, propertyName: string): Function;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>Object</code> | Class or prototype |
|  propertyName | <code>string</code> | Property name |

<b>Returns:</b>

`Function`


